%define mod_name Geo-WeatherNOAA
# comment out this to autofind of package requirements
# instead of manually specifing using "Requires" lines
AutoReqProv: no

Name:		perl-%{mod_name}
Version:	4.37
Release:	1fm
Summary:	Interpret NOAA data.
Group:		Applications/CPAN
License:	distributable
Packager:	S Yoder <computer AT flatmtn DOT com>
Vendor:		Mark Solomon
URL:		http://search.cpan.org/author/MSOLOMON/
Source:		%{mod_name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
BuildRequires:	perl >= 0:5.00503
Requires:	perl >= 0:5.00503, perl-Tie-IxHash
Provides:	perl(Geo::WeatherNOAA)
BuildArch:	noarch

%description
This module is intended to interpret the NOAA zone
forecasts and current city hourly data files. It should
give a programmer an easy time to use the data instead
of having to mine it.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{mod_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
# docs go to /usr/share/doc/[package-name]-[version]
%doc README Changes examples/*
/usr/lib/perl5/vendor_perl/5.8.0/Geo/WeatherNOAA.pm
/usr/share/man/man3/Geo::WeatherNOAA.3pm.gz


%changelog
* Sun Aug 31 2003 S Yoder <computer AT flatmtn DOT com> 4.37-1fm
- prepared spec file for RPM for RedHat 9.0 (shrike)
